%{?nodejs_find_provides_and_requires}

Name:           nodejs-asn1
Version:        0.1.11
Release:        2%{?dist}
Summary:        Contains parsers and serializers for ASN.1 (currently BER only)
BuildArch:      noarch

Group:          System Environment/Libraries
License:        MIT
URL:            https://github.com/mcavage/node-asn1
Source0:        http://registry.npmjs.org/asn1/-/asn1-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel

#for tests
BuildRequires:  npm(tap)

%description
nodejs-asn1 is a library for encoding and decoding Abstract Syntax Notation One
(ASN.1) datatypes in pure JavaScript. ASN.1 is  is a standard and notation that 
describes rules and structures for representing, encoding, transmitting, and 
decoding data in telecommunications and computer networking.

Currently Basic Encoding Rules (BER) encoding is supported; at some point 
Distinguished Encoding Rules (DER) will likely also be supported.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/asn1
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/asn1

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap tst/ber/*.js

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/asn1
%doc LICENSE README.md

%changelog
* Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.11-2
- improve description

* Thu Jun 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.11-1
- initial package
